import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';

import 'notification.m.dart';


class NotificationService extends JsonRpcClientBase {
	NotificationService(
		String host, {
		String serviceName = "INotificationService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				);

	Future<bool> sendMessageAsync(SendNotificationRequest request) async {
		var rpcRst = await call("SendMessageAsync", request);
		return rpcRst;
	}

	Future<bool> postMessageAsync(SendNotificationRequest request) async {
		var rpcRst = await call("PostMessageAsync", request);
		return rpcRst;
	}

}

